<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionActionSelectNextPlacement Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/dca/a01639.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionActionSelectNextPlacement Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionActionSelectNextPlacement:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/dca/a01639.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ae6cd84e62e2c32e4e03e083f60febb99"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dca/a01639.html#ae6cd84e62e2c32e4e03e083f60febb99">ExpansionActionSelectNextPlacement</a> ()</td></tr>
<tr class="separator:ae6cd84e62e2c32e4e03e083f60febb99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4e4b84a24147baba5597fd9cb7404e1"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dca/a01639.html#ab4e4b84a24147baba5597fd9cb7404e1">GetText</a> ()</td></tr>
<tr class="separator:ab4e4b84a24147baba5597fd9cb7404e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c76d961679a4979c1cfa435e2c2ceec"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dca/a01639.html#a5c76d961679a4979c1cfa435e2c2ceec">HasTarget</a> ()</td></tr>
<tr class="separator:a5c76d961679a4979c1cfa435e2c2ceec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af66168c91725d2af3a2ce12401662856"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dca/a01639.html#af66168c91725d2af3a2ce12401662856">ActionCondition</a> (<a class="el" href="../../d3/d19/a01847.html">PlayerBase</a> player, <a class="el" href="../../d8/dd0/a02711.html">ActionTarget</a> target, <a class="el" href="../../dd/d38/a01663.html">ItemBase</a> item)</td></tr>
<tr class="separator:af66168c91725d2af3a2ce12401662856"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a090288b478fcccf1dd83dee42a61f2dc"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dca/a01639.html#a090288b478fcccf1dd83dee42a61f2dc">OnStartClient</a> (ActionData action_data)</td></tr>
<tr class="separator:a090288b478fcccf1dd83dee42a61f2dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8942dab3276cbca5e04127b87d85322f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dca/a01639.html#a8942dab3276cbca5e04127b87d85322f">OnStartServer</a> (ActionData action_data)</td></tr>
<tr class="separator:a8942dab3276cbca5e04127b87d85322f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a15b34ab43e1210965016169aa25eca45"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d8/d31/a01407.html">Hologram</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dca/a01639.html#a15b34ab43e1210965016169aa25eca45">m_Hologram</a></td></tr>
<tr class="separator:a15b34ab43e1210965016169aa25eca45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63e9eb0602d2143ae07c6e1da44246b1"><td class="memItemLeft" align="right" valign="top">private int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/dca/a01639.html#a63e9eb0602d2143ae07c6e1da44246b1">m_NextType</a></td></tr>
<tr class="separator:a63e9eb0602d2143ae07c6e1da44246b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00001">1</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae6cd84e62e2c32e4e03e083f60febb99" name="ae6cd84e62e2c32e4e03e083f60febb99"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6cd84e62e2c32e4e03e083f60febb99">&#9670;&#160;</a></span>ExpansionActionSelectNextPlacement()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionActionSelectNextPlacement::ExpansionActionSelectNextPlacement </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00006">6</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af66168c91725d2af3a2ce12401662856" name="af66168c91725d2af3a2ce12401662856"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af66168c91725d2af3a2ce12401662856">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionSelectNextPlacement::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d19/a01847.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/dd0/a02711.html">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../dd/d38/a01663.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00027">27</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>

</div>
</div>
<a id="ab4e4b84a24147baba5597fd9cb7404e1" name="ab4e4b84a24147baba5597fd9cb7404e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4e4b84a24147baba5597fd9cb7404e1">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override string ExpansionActionSelectNextPlacement::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00012">12</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>

</div>
</div>
<a id="a5c76d961679a4979c1cfa435e2c2ceec" name="a5c76d961679a4979c1cfa435e2c2ceec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c76d961679a4979c1cfa435e2c2ceec">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionActionSelectNextPlacement::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00022">22</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>

</div>
</div>
<a id="a090288b478fcccf1dd83dee42a61f2dc" name="a090288b478fcccf1dd83dee42a61f2dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a090288b478fcccf1dd83dee42a61f2dc">&#9670;&#160;</a></span>OnStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionSelectNextPlacement::OnStartClient </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00052">52</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>

</div>
</div>
<a id="a8942dab3276cbca5e04127b87d85322f" name="a8942dab3276cbca5e04127b87d85322f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8942dab3276cbca5e04127b87d85322f">&#9670;&#160;</a></span>OnStartServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionActionSelectNextPlacement::OnStartServer </td>
          <td>(</td>
          <td class="paramtype">ActionData&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00059">59</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a15b34ab43e1210965016169aa25eca45" name="a15b34ab43e1210965016169aa25eca45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15b34ab43e1210965016169aa25eca45">&#9670;&#160;</a></span>m_Hologram</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d8/d31/a01407.html">Hologram</a> ExpansionActionSelectNextPlacement::m_Hologram</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00003">3</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>

</div>
</div>
<a id="a63e9eb0602d2143ae07c6e1da44246b1" name="a63e9eb0602d2143ae07c6e1da44246b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63e9eb0602d2143ae07c6e1da44246b1">&#9670;&#160;</a></span>m_NextType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private int ExpansionActionSelectNextPlacement::m_NextType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d35/a00266_source.html#l00004">4</a> of file <a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/interact/<a class="el" href="../../d5/d35/a00266_source.html">expansionactionselectnextplacement.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/dca/a01639.html">ExpansionActionSelectNextPlacement</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
